Subject: Re: Advertising the Git User's Survey 2011

From: Jakub Narebski <[email-masked]>
Date: Mon, 4 Oct 2010 01:29:21 +0200

Ramkumar Ramachandra wrote:
> Jakub Narebski writes:
>> On Sun, 3 Oct 2010, Ramkumar Ramachandra wrote:
>>> Perhaps we can email survs.com and ask them?
>> 
>> Should I do it, or would you do it?
> 
> Er, why will they know who I am and give me this information? You've
> been in touch with them before, I hope?

Well, I sent a bit of feedback, bugreports and feature requests while
Survs.com was still in beta...

[...]
>>> I suppose we could always work out a way to display the results from
>>> the information Survs.com gives us.
>> 
>> Do you have any idea how to display such geographical information, and
>> what tool to use for that visualization?
> 
> A quick Google search pointed me to several tools that parse a
> plaintext file of (lattitude, longitude) entries and use the Google
> Maps API to plot them. I'm sorry, but I don't know much more about
> this.

What we have is the names of countries (which can be quite large) rather
than geographical coordinates.  Perhaps use color to mark countries on
the political map, or something?

>>> Nice histogram! How did we manage to do this in 2009? Did we use a
>>> custom-made application to do the survey?
>> 
>> I used a Perl script, which uses Text::CSV to parse data exported from
>> Survs.com in CSV format (and PerlIO::gzip to not have to decompress it).
>> Each survey page on Git Wiki, except for the very first survey, contains
>> link to file with such exported data.
>> 
>> For example for age it extracts digits from the response, and assumes
>> that it is number of years.  It also creates this nice table of ranges
>> that you can see in the mentioned section of GitSurvey2009 page.
>> 
>> I can publish this script, e.g. the one used for 2009 survey on the
>> GitSurvey2009 page, but it is rough'n'dirty script.
> 
> Sounds good- we should create a small repository that contains all the
> tools used, notes made, and results (in semantic format) of previous
> surveys. Embarrassingly enough, I can't read Perl myself, but I'm sure
> the others will find it useful. Also, isn't there some Perl module to
> use Google Maps API to draw that map?

Good idea.

-- 
Jakub Narebski
Poland